Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Public Member Functions | Public Attributes | List of all members
eZVoucherEMail Class Reference

## Public Member Functions
| __construct ( $id=-1)
| store ()
| delete ( $catID=-1)
| get ( $id=-1)
| fill (&$value)
& | getAll ( $offset=0, $limit=20)
| count ()
| id ()
& | description ()
| setDescription (&$value)
| setEmail (&$value)
| setVoucher (&$value)
| setPreOrder (&$value)
| email ( $asObject=true)
| voucher ( $asObject=true)
| preOrderID ( $asObject=true)

## Public Attributes
| $ID
| $Description
| $PreOrderID
| $OnlineID
| $VoucherID

## Detailed Description

! ezquizvoucher smail ezquizvoucher smail documentation.

Example code:

$voucherInfo = new eZVoucherEMail(); // Create a new object.
$online = new eZOnline( 7 ); // Get eZOnline object with id 7.
$voucher = new eZVoucher( 4 ); // Get voucher object with id 4.
$voucherInfo->setEmail( $online ); // Add the online object.
$voucherInfo->setPreOrder( 10 ); // Add the pre order id.
$voucherInfo->setDescription( $Description ); // Add a description.
$voucherInfo->setVoucher( $voucher ); // Adds the eZVoucher objdect.
$voucherInfo->store(); // Stores the object to the database
eZVoucherEMail
Definition: ezvoucheremail.php:54
eZVoucherEMail\$Description
$Description
Definition: ezvoucheremail.php:326
eZVoucher
Definition: ezvoucher.php:54

See also
  eZVoucherUsed eZVoucher eZVoucherSMail

Definition at line 53 of file ezvoucheremail.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZVoucherEMail::__construct | ( |  | $id = `-1` | ) |

Constructs a new eZVoucherEMail object.

If $id is set the object's values are fetched from the database.

Definition at line 62 of file ezvoucheremail.php.

References $id, $ID, and fill().

## Member Function Documentation

## ◆ count()

eZVoucherEMail::count | ( |  | ) |

Returns the total count.

Definition at line 221 of file ezvoucheremail.php.

References $db, $result, $ret, and eZDB\globalDatabase().

Referenced by get(), and getAll().

## ◆ delete()

eZVoucherEMail::delete | ( |  | $catID = `-1` | ) |

Deletes a eZVoucherEMail object from the database.

Definition at line 127 of file ezvoucheremail.php.

References $db, $ID, $res, $ret, and eZDB\globalDatabase().

## ◆ description()

& eZVoucherEMail::description | ( |  | ) |

Returns the description of the voucher smail.

Definition at line 243 of file ezvoucheremail.php.

## ◆ email()

eZVoucherEMail::email | ( |  | $asObject = `true` | ) |

Returns the email

Definition at line 292 of file ezvoucheremail.php.

References $OnlineID, and $ret.

## ◆ fill()

eZVoucherEMail::fill | ( | & | $value | ) |

Fills in information to the object taken from the array.

Definition at line 173 of file ezvoucheremail.php.

Referenced by __construct(), and get().

## ◆ get()

eZVoucherEMail::get | ( |  | $id = `-1` | ) |

Fetches the object information from the database.

True is retuned if successful, false (0) if not.

Definition at line 148 of file ezvoucheremail.php.

References $db, $id, $ret, count(), fill(), and eZDB\globalDatabase().

## ◆ getAll()

& eZVoucherEMail::getAll | ( |  | $offset = `0`,
|  |  | $limit = `20`
| ) |  |

Returns all the categories found in the database.

The categories are returned as an array of eZVoucherEMail objects.

Definition at line 187 of file ezvoucheremail.php.

References $db, $i, $limit, count(), and eZDB\globalDatabase().

## ◆ id()

eZVoucherEMail::id | ( |  | ) |

Returns the object ID to the voucher smail. This is the unique ID stored in the database.

Definition at line 235 of file ezvoucheremail.php.

References $ID.

## ◆ preOrderID()

eZVoucherEMail::preOrderID | ( |  | $asObject = `true` | ) |

Returns the pre order

Definition at line 316 of file ezvoucheremail.php.

References $PreOrderID.

## ◆ setDescription()

eZVoucherEMail::setDescription | ( | & | $value | ) |

Sets the description.

Definition at line 251 of file ezvoucheremail.php.

## ◆ setEmail()

eZVoucherEMail::setEmail | ( | & | $value | ) |

Sets the email for the voucher smail.

Definition at line 259 of file ezvoucheremail.php.

## ◆ setPreOrder()

eZVoucherEMail::setPreOrder | ( | & | $value | ) |

Sets the preorder for the voucher smail.

Definition at line 281 of file ezvoucheremail.php.

## ◆ setVoucher()

eZVoucherEMail::setVoucher | ( | & | $value | ) |

Sets the voucher for the voucher smail.

Definition at line 270 of file ezvoucheremail.php.

## ◆ store()

eZVoucherEMail::store | ( |  | ) |

Stores a eZVoucherEMail object to the database.

Definition at line 78 of file ezvoucheremail.php.

References $db, $res, eZDB\globalDatabase(), and Password.

## ◆ voucher()

eZVoucherEMail::voucher | ( |  | $asObject = `true` | ) |

Returns the voucher

Definition at line 305 of file ezvoucheremail.php.

References $VoucherID.

## Member Data Documentation

## ◆ $Description

eZVoucherEMail::$Description

Definition at line 326 of file ezvoucheremail.php.

## ◆ $ID

eZVoucherEMail::$ID

Definition at line 325 of file ezvoucheremail.php.

Referenced by __construct(), delete(), and id().

## ◆ $OnlineID

eZVoucherEMail::$OnlineID

Definition at line 328 of file ezvoucheremail.php.

Referenced by email().

## ◆ $PreOrderID

eZVoucherEMail::$PreOrderID

Definition at line 327 of file ezvoucheremail.php.

Referenced by preOrderID().

## ◆ $VoucherID

eZVoucherEMail::$VoucherID

Definition at line 329 of file ezvoucheremail.php.

Referenced by voucher().

The documentation for this class was generated from the following file:

- ezvoucheremail.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.